--- include/config.h    Sat Nov 17 19:48:03 2001
+++ include/config.h    Sun Jan 13 05:10:39 2002
@@ -271,6 +271,24 @@
 
 /* ------========== End of UniBG Network additions ==========------ */
 
+
+/* IGNORE_SERVICES - nasty patch which ignores a given services nickname - NICK_GLOBAL -
+ * during the first IGNORE_SEC seconds which the client is connected in.
+ * The goal is to skip logon.news notices coming from services in order
+ * to constrain users to read server MOTD without scrolling:)
+ * Idea taken from BeaZtiE
+ *
+ * --Himika
+ */
+
+
+#define IGNORE_SERVICES
+#ifdef IGNORE_SERVICES
+#define NICK_GLOBAL "Global"
+#define IGNORE_SEC 10
+#endif
+
+
 /* TS_MAX_DELTA and TS_WARN_DELTA -  allowed delta for TS when another
  * server connects.
  *
--- src/m_message.c     Sat Nov 17 17:26:25 2001
+++ src/m_message.c     Sun Jan 13 05:18:50 2002
@@ -307,6 +307,15 @@
           return 0;
 #endif
 
+
+#ifdef IGNORE_SERVICES
+
+     if (MyConnect(acptr) && (strcasecmp(sptr->name, NICK_GLOBAL) == 0) && (CurrentTime - acptr->firsttime <= IGNORE_SEC))
+       return 0;
+
+#endif
+
+
 #ifdef SERVICES
   #ifdef SILENCE_SUPPORT
       if (MyClient(sptr) && sptr->user && ServicesOn)

